From a0700aa3864e832cf27b00243e1366069085d13b Mon Sep 17 00:00:00 2001
From: Marti Raudsepp <marti@juffo.org>
Date: Sat, 16 Mar 2013 14:55:45 +0200
Subject: [PATCH] Version info mixes up host and target platform when
 cross-compiling

Before:
 PostgreSQL 9.3devel on x86_64-pc-linux-gnu, compiled by
 aarch64-linux-gnu-gcc-4.7 (Ubuntu/Linaro 4.7.2-21ubuntu3) 4.7.2, 64-bit

Now:
 PostgreSQL 9.3devel on aarch64-linux-gnu-gcc-4.7 (Ubuntu/Linaro
 4.7.2-21ubuntu3) 4.7.2, compiled by x86_64-pc-linux-gnu, 64-bit
---
 configure    | 2 +-
 configure.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/configure b/configure
index 9efd866..6e0b723 100755
--- a/configure
+++ b/configure
@@ -30196,7 +30196,7 @@ fi
 
 
 cat >>confdefs.h <<_ACEOF
-#define PG_VERSION_STR "PostgreSQL $PACKAGE_VERSION on $host, compiled by $cc_string, `expr $ac_cv_sizeof_void_p \* 8`-bit"
+#define PG_VERSION_STR "PostgreSQL $PACKAGE_VERSION on $cc_string, compiled by $host, `expr $ac_cv_sizeof_void_p \* 8`-bit"
 _ACEOF
 
 
diff --git a/configure.in b/configure.in
index f31f7ef..f5d60f9 100644
--- a/configure.in
+++ b/configure.in
@@ -1902,7 +1902,7 @@ else
 fi
 
 AC_DEFINE_UNQUOTED(PG_VERSION_STR,
-                   ["PostgreSQL $PACKAGE_VERSION on $host, compiled by $cc_string, `expr $ac_cv_sizeof_void_p \* 8`-bit"],
+                   ["PostgreSQL $PACKAGE_VERSION on $cc_string, compiled by $host, `expr $ac_cv_sizeof_void_p \* 8`-bit"],
                    [A string containing the version number, platform, and C compiler])
 
 # Supply a numeric version string for use by 3rd party add-ons
-- 
1.8.2

